
MAINTAINERCLEANFILES 	= Makefile.in
noinst_PROGRAMS    		= osirismd

osirismd_SOURCES	= osirismd.h osirismd.c \
                          md_hosts.h md_hosts.c \
                          md_database.h md_database.c \
                          md_config.h md_config.c \
                          md_control.h md_control.c \
                          md_compare.h md_compare.c \
                          md_log.h md_log.c \
                          md_schedule.h md_schedule.c \
                          md_scan.h md_scan.c \
                          md_auth.h md_auth.c \
                          md_utilities.h md_utilities.c \
                          md_notify.h md_notify.c \
                          md_http.h md_http.c \
                          md_filter.h md_filter.c \
                          logging.h logging.c

INCLUDES 		= -I$(top_srcdir)/src/libosiris \
                          -I$(top_srcdir)/src/libfileapi \
                          -I$(top_srcdir)/src/libosirisctl \
                          -I$(top_srcdir)/src/libosirisdb \
                          -I$(top_srcdir)/src/libosirism \
                          -I$(top_srcdir)/src/db-4.1.24/build_unix

osirismd_LDADD 		= -L$(top_srcdir)/src/libfileapi -lfileapi \
                          -L$(top_srcdir)/src/libosirisctl -losirisctl \
                          -L$(top_srcdir)/src/libosirisdb -losirisdb \
                          -L$(top_srcdir)/src/libosirism -losirism \
                          -L$(top_srcdir)/src/libosiris -losiris \
                          -L$(top_srcdir)/src/db-4.1.24/build_unix -ldb

osirismd_DEPENDENCIES	= $(top_srcdir)/src/libosiris/libosiris.a \
                          $(top_srcdir)/src/libfileapi/libfileapi.a \
                          $(top_srcdir)/src/libosirisctl/libosirisctl.a \
                          $(top_srcdir)/src/libosirisdb/libosirisdb.a \
                          $(top_srcdir)/src/libosirism/libosirism.a
